Loan originators sponsored by this company
In: header
Path Parameters
Company NMLS ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/companies/string/sponsored-individuals" \ -H "Content-Type: application/json" \ -d '{}'{
"cursor": "string",
"data": [
{
"activeLicenseCount": 0,
"city": "string",
"firstName": "string",
"fullName": "string",
"hasDisciplinaryAction": true,
"id": "string",
"isActive": true,
"isBranchManager": true,
"lastName": "string",
"licensedStates": [
"string"
],
"nmlsId": "string",
"sponsorships": null,
"state": "string"
}
],
"locationNormalizations": [
{
"candidates": [
"string"
],
"confidence": "normalized",
"displayName": "Saint Louis, MO",
"field": "city",
"id": "city_mo_saint-louis",
"normalized": "Saint Louis",
"original": "St. Louis",
"variants": [
"string"
]
}
],
"total": 0
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string",
"limit": 0,
"size": 0
}Loan officers who originated through this company POST
Ranks the loan officers on this company's loans (scope with `roleScope` — `tpo` for its third-party originators). `label` is the LO's NMLS id; `name` and `company` (the LO's CURRENT employer per NMLS licensing, not necessarily the company on the loans) are resolved server-side, and are absent for an id with no originator profile. `sort: [{field: "name"}]` orders by that resolved name across the top 10,000 originators by volume (`truncated` says when there are more).
Analyze LO arrivals and departures for a company POST
Next Page